Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040624
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-04-16 10:392019-04-24 11:27
ReporterfranciscoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionc25123cea720
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040624: Different date between invoice and sales order

DescriptionThere is a difference in the invoice date when the terminal and the BackOffice are in a different timezone.
this is happening when the cash up is done and generate the invoice with the whole sales that didn't have invoices.
Steps To ReproduceOpen POS changing the time of your computer
Open menu click invoice this receipt
Make a sale with invoice
Make another sale without invoice
Make the cash up

Go to BackOffice
Go to Sales Order and both sales has the POS time
Go to Invoice Order and the invoice that was created in the POS during the sale has the POS time, however the invoice that was created during the cash up has the BackOffice time.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111222)
hgbot (developer)
2019-04-23 07:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: dfbb6f96cb4d4f72aebf60b61da2084ebc58061d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Apr 23 11:19:47 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dfbb6f96cb4d4f72aebf60b61da2084ebc58061d [^]

Fixed issue 40624 : Invoice creation and updation date should be updated with Cashup date instead of System Date

* while doing cashup, Invoice date and ite child table records should be updated with Cashup date

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
---
(0111224)
ranjith_qualiantech_com (developer)
2019-04-23 10:06

Test failing in oracle suite
(0111240)
hgbot (developer)
2019-04-23 14:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c25123cea7207ab2873ba2c19645c4ea326159de
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Apr 23 18:29:07 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c25123cea7207ab2873ba2c19645c4ea326159de [^]

Fixed issue 40624 : Invoice creation and updation date should be updated with Cashup date instead of System Date

* For Invoice Date, it should update without timestamp

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
---
(0111262)
adrianromero (manager)
2019-04-24 11:27

Verified

- Issue History
Date Modified Username Field Change
2019-04-16 10:39 francisco New Issue
2019-04-16 10:39 francisco Assigned To => Retail
2019-04-16 10:39 francisco Triggers an Emergency Pack => No
2019-04-16 10:41 Practics Issue Monitored: Practics
2019-04-19 12:02 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-04-19 12:02 ranjith_qualiantech_com Status new => scheduled
2019-04-23 07:50 hgbot Checkin
2019-04-23 07:50 hgbot Note Added: 0111222
2019-04-23 07:50 hgbot Status scheduled => resolved
2019-04-23 07:50 hgbot Resolution open => fixed
2019-04-23 07:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dfbb6f96cb4d4f72aebf60b61da2084ebc58061d [^]
2019-04-23 10:06 ranjith_qualiantech_com Note Added: 0111224
2019-04-23 10:06 ranjith_qualiantech_com Status resolved => new
2019-04-23 10:06 ranjith_qualiantech_com Resolution fixed => open
2019-04-23 10:06 ranjith_qualiantech_com Status new => scheduled
2019-04-23 14:59 hgbot Checkin
2019-04-23 14:59 hgbot Note Added: 0111240
2019-04-23 14:59 hgbot Status scheduled => resolved
2019-04-23 14:59 hgbot Resolution open => fixed
2019-04-23 14:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dfbb6f96cb4d4f72aebf60b61da2084ebc58061d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c25123cea7207ab2873ba2c19645c4ea326159de [^]
2019-04-24 11:27 adrianromero Review Assigned To => adrianromero
2019-04-24 11:27 adrianromero Note Added: 0111262
2019-04-24 11:27 adrianromero Status resolved => closed
2019-04-24 11:27 adrianromero Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker